main.floors.MT10=
{
    "floorId": "MT10",
    "title": "魔塔 第10层",
    "name": "第 10 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,209,209,209,  1,  1,  0,  1,  1,209,209,209,  1],
    [  1,  0,210,  0, 85,  0,211,  0, 85,  0,210,  0,  1],
    [  1,  1,  1,  1,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,209, 28,209,  1,  1,  0,  1,  1,209, 27,209,  1],
    [  1,  0,210,  0,  1,  1,  0,  1,  1,  0,210,  0,  1],
    [  1,  0,  0,  0,  1,  1,  0,  1,  1,  0,  0,  0,  1],
    [  1, 81,  1, 81,  1,  1, 83,  1,  1, 81,  1, 81,  1],
    [  1,  0,  1,  0,  1,  0,  0,  0,  1,  0,  1,  0,  1],
    [  1, 88,  1,  0,217,  0, 87,  0,217,  0,  1, 32,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,5": [
            {
                "type": "if",
                "condition": "(!flag:trap10F)",
                "true": [
                    {
                        "type": "hide",
                        "loc": [
                            [
                                5,
                                4
                            ]
                        ],
                        "floorId": "MT10",
                        "remove": true
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                7,
                                4
                            ]
                        ],
                        "floorId": "MT10",
                        "remove": true
                    },
                    {
                        "type": "hide",
                        "loc": [
                            [
                                6,
                                3
                            ]
                        ],
                        "floorId": "MT10",
                        "remove": true
                    },
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                6,
                                7
                            ]
                        ],
                        "floorId": "MT10"
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            6,
                            7
                        ]
                    },
                    {
                        "type": "playSound",
                        "name": "10F.mp3"
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            4,
                            4
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            8,
                            4
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    },
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                5,
                                6
                            ]
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                6,
                                6
                            ]
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                7,
                                6
                            ]
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                5,
                                5
                            ]
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                7,
                                5
                            ]
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    },
                    "\t[骷髅队长,skeletonCaptain]哈哈哈，你是如此的幸运能安全到达这里，但现在好运离你而去了，你中埋伏了，弟兄们给我上！",
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(6,4,'MT10',true)==='skeletonCaptain')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    6,
                                    4
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "up:3"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                6,
                                4
                            ]
                        ],
                        "floorId": "MT10",
                        "async": true
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(2,4,'MT10',true)==='skeletonSoilder')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    2,
                                    4
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "right:3",
                                    "down:2",
                                    "right:1"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(10,4,'MT10',true)==='skeletonSoilder')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    10,
                                    4
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "left:4"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(3,3,'MT10',true)==='skeleton')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    3,
                                    3
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "down:1",
                                    "right:2",
                                    "down:2"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(9,3,'MT10',true)==='skeleton')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    9,
                                    3
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "down:1",
                                    "left:2",
                                    "down:2"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(2,3,'MT10',true)==='skeleton')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    2,
                                    3
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "down:1",
                                    "right:3",
                                    "down:1"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(10,3,'MT10',true)==='skeleton')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    10,
                                    3
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "down:1",
                                    "left:3",
                                    "down:1"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(1,3,'MT10',true)==='skeleton')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    1,
                                    3
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "down:1",
                                    "right:4"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(11,3,'MT10',true)==='skeleton')",
                        "true": [
                            {
                                "type": "move",
                                "loc": [
                                    11,
                                    3
                                ],
                                "time": 50,
                                "keep": true,
                                "steps": [
                                    "down:1",
                                    "left:4"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            4,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "async": true
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            8,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    },
                    {
                        "type": "if",
                        "condition": "(flag:10F>=8)",
                        "true": [
                            {
                                "type": "openDoor",
                                "loc": [
                                    6,
                                    3
                                ],
                                "floorId": "MT10"
                            },
                            "\t[骷髅队长,skeletonCaptain]我擦，我的部下怎么全阵亡了？",
                            "\t[骷髅,skeleton]老大，勇士他不讲武德，用了消除墙的妖术，从背后偷袭我们。",
                            "\t[骷髅队长,skeletonCaptain]可是这机关门怎么自己打开了？",
                            "\t[勇士,hero]哈哈，系统判定我打败了你的8个伏兵，机关门就会自动开启。"
                        ]
                    },
                    {
                        "type": "setValue",
                        "name": "flag:trap10F",
                        "value": "true"
                    }
                ]
            }
        ],
        "7,4": [
            {
                "type": "if",
                "condition": "(core.getBlockId(6,4,'MT10',true)==='skeletonCaptain')",
                "true": [
                    "\t[骷髅队长,skeletonCaptain]你怎会绕过我的埋伏，我是绝不会让你通过的。来吧，我要与你决斗！",
                    {
                        "type": "move",
                        "loc": [
                            6,
                            4
                        ],
                        "time": 50,
                        "keep": true,
                        "steps": [
                            "up:3"
                        ]
                    }
                ]
            }
        ],
        "5,4": [
            {
                "type": "if",
                "condition": "(core.getBlockId(6,4,'MT10',true)==='skeletonCaptain')",
                "true": [
                    "\t[骷髅队长,skeletonCaptain]你怎会绕过我的埋伏，我是绝不会让你通过的。来吧，我要与你决斗！",
                    {
                        "type": "move",
                        "loc": [
                            6,
                            4
                        ],
                        "time": 50,
                        "keep": true,
                        "steps": [
                            "up:3"
                        ]
                    }
                ]
            }
        ],
        "6,3": [
            {
                "type": "if",
                "condition": "(core.getBlockId(6,4,'MT10',true)==='skeletonCaptain')",
                "true": [
                    "\t[骷髅队长,skeletonCaptain]你怎会绕过我的埋伏，我是绝不会让你通过的。来吧，我要与你决斗！",
                    {
                        "type": "move",
                        "loc": [
                            6,
                            4
                        ],
                        "time": 50,
                        "keep": true,
                        "steps": [
                            "up:3"
                        ]
                    }
                ]
            }
        ],
        "6,11": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": []
        }
    },
    "changeFloor": {
        "1,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        },
        "6,11": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {
        "5,4": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,5": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,6": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,6": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,6": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,4": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,5": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,4": [
            {
                "type": "if",
                "condition": "(flag:10F===7)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            3
                        ],
                        "floorId": "MT10"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:10F",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,1": [
            "\t[骷髅队长,skeletonCaptain]不！这是不可能的，怎会打败我。你别太得意，后面还有许多强大的对手和机关存在，你稍有疏忽就必死无疑。",
            {
                "type": "playSound",
                "name": "door.mp3",
                "stop": true
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        1,
                        3
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        2,
                        3
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        3,
                        3
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        9,
                        3
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        10,
                        3
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        11,
                        3
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        1,
                        4
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        2,
                        4
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        3,
                        4
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        9,
                        4
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        10,
                        4
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        11,
                        4
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "show",
                "loc": [
                    [
                        6,
                        11
                    ]
                ],
                "floorId": "MT10"
            },
            {
                "type": "openDoor",
                "loc": [
                    4,
                    4
                ],
                "floorId": "MT10",
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    7
                ],
                "floorId": "MT10",
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    8,
                    4
                ],
                "floorId": "MT10",
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    3
                ],
                "floorId": "MT10",
                "async": true
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "setValue",
                "name": "flag:trap10F",
                "value": "true"
            }
        ],
        "1,3": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ],
        "2,3": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ],
        "3,3": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ],
        "2,4": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,3": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ],
        "10,3": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ],
        "11,3": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ],
        "10,4": [
            {
                "type": "setValue",
                "name": "flag:10F",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        6,
        11
    ],
    "downFloor": [
        1,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {
        "6,1": [
            {
                "type": "if",
                "condition": "flag:trap10F",
                "true": [
                    "\t[骷髅队长,skeletonCaptain]你居然能冲出我的埋伏，不过我是绝对不会让你通过的。来，我要跟你决斗！"
                ]
            }
        ]
    },
    "cannotMoveIn": {}
}