main.floors.MT15=
{
    "floorId": "MT15",
    "title": "魔塔 第15层",
    "name": "第 15 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 28,214,  0, 81,  0, 87,  0,  1,123,  0,  0,  1],
    [  1,213,  0,  0,  1,  0,  0,  0,  1,  0,  0,203,  1],
    [  1,  0,  0,203,  1,  1, 85,  1,  1,  1,  1, 81,  1],
    [  1, 81,  1,  1,  1,  0,  0,  0,  1,206,  0,  0,  1],
    [  1,  0,  1, 21,  1,265,266,267,  1,  0,206,  0,  1],
    [  1,  0,  1, 22,  1,268,269,270,  1, 81,  1,218,  1],
    [  1,203,  1, 21,  1,271,258,272,  1,  0,  1,  0,  1],
    [  1,  0,  1,  0,  1,  0,  0,  0,  1,  0,  1, 32,  1],
    [  1,  0, 81,  0,  1,  1,  0,  1,  1, 81,  1,  1,  1],
    [  1,206,  1,206,  1,  0,  0,  0,  1,  0,205,  0,  1],
    [  1,  0,218,  0,  1,  0, 88,  0, 81,205,  0,122,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 2,
    "defaultGround": "ground",
    "bgm": "section2.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,8": [
            {
                "type": "if",
                "condition": "(core.getBlockId(6,7,'MT15',true)==='octopus')",
                "true": [
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(6,9,'MT15',true)!=='specialDoor')",
                        "true": [
                            {
                                "type": "setBlock",
                                "number": "0",
                                "loc": [
                                    [
                                        6,
                                        9
                                    ]
                                ],
                                "floorId": "MT15"
                            }
                        ]
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            6,
                            9
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "6,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "6,7": [
            {
                "type": "openDoor",
                "loc": [
                    6,
                    3
                ],
                "floorId": "MT15",
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    9
                ],
                "floorId": "MT15",
                "async": true
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "playSound",
                "name": "item.mp3"
            },
            {
                "type": "setBlock",
                "number": "pickaxe",
                "loc": [
                    [
                        6,
                        6
                    ]
                ],
                "floorId": "MT15"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        6,
        1
    ],
    "downFloor": [
        6,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}