main.floors.MT33=
{
    "floorId": "MT33",
    "title": "魔塔 第33层",
    "name": "第 33 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 87,  0, 81,214,  0,216, 81,  0,  0,  0, 88,  1],
    [  1,  0,  0,  1,  0, 31,  0,  1, 81,  1,  1,  1,  1],
    [  1, 82,  1,  1,121,  0, 21,  1,  0,  0,  0, 32,  1],
    [  1,  0, 31,  1,  1, 81,  1,  1,  1,  1,  0,  1,  1],
    [  1,216,  0,  1,  0,  0,214,  0,  1,212,  0,212,  1],
    [  1,  0,  0,  1,224,  1,  1, 81,  1,  0,  0,  0,  1],
    [  1,  0,216, 81,  0,  0,212,  0,  1,225,  0,225,  1],
    [  1, 81,  1,  1,  1,  1,  1,  1,  1,  1,  0,  1,  1],
    [  1,  0,  0,214,  1,  0,225,  0,  1,  0,  0,  0,  1],
    [  1,224,  1,  0,  1, 21,  1,216,  0,  0, 39,  0,  1],
    [  1, 21,225,  0, 82,  0, 81,  0,  1,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "9,10": [
            {
                "type": "if",
                "condition": "(!flag:trap33F)",
                "true": [
                    {
                        "type": "setBlock",
                        "number": "0",
                        "loc": [
                            [
                                8,
                                10
                            ]
                        ],
                        "floorId": "MT33"
                    },
                    {
                        "type": "closeDoor",
                        "id": "yellowWall",
                        "loc": [
                            8,
                            10
                        ]
                    },
                    {
                        "type": "playSound",
                        "name": "door.mp3"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:trap33F",
                        "value": "true"
                    }
                ]
            }
        ],
        "10,5": [
            {
                "type": "if",
                "condition": "(flag:33== 4)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            4
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            8
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ],
                "false": [
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(10,4,'MT33',true)!=='specialDoor')",
                        "true": [
                            {
                                "type": "setBlock",
                                "number": "0",
                                "loc": [
                                    [
                                        10,
                                        4
                                    ]
                                ],
                                "floorId": "MT33"
                            }
                        ]
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(10,8,'MT33',true)!=='specialDoor')",
                        "true": [
                            {
                                "type": "setBlock",
                                "number": "0",
                                "loc": [
                                    [
                                        10,
                                        8
                                    ]
                                ],
                                "floorId": "MT33"
                            }
                        ]
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            10,
                            4
                        ],
                        "async": true
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            10,
                            8
                        ],
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "1,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "11,1": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "9,5": [
            {
                "type": "setValue",
                "name": "flag:33",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "if",
                "condition": "(flag:33==4)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            4
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            8
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            }
        ],
        "9,7": [
            {
                "type": "setValue",
                "name": "flag:33",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "if",
                "condition": "(flag:33==4)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            4
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            8
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            }
        ],
        "11,7": [
            {
                "type": "setValue",
                "name": "flag:33",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "if",
                "condition": "(flag:33==4)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            4
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            8
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            }
        ],
        "11,5": [
            {
                "type": "setValue",
                "name": "flag:33",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "if",
                "condition": "(flag:33==4)",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            4
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            10,
                            8
                        ],
                        "floorId": "MT33",
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        1,
        1
    ],
    "downFloor": [
        11,
        1
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}