main.floors.MT40=
{
    "floorId": "MT40",
    "title": "魔塔 第40层",
    "name": "第 40 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0, 87,  0,  0,  0,  0,  0,  1],
    [  1,  0,224,224,224,  0,226,  0,227,227,227,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,212,212,212,  0,225,225,225,  0,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  0,  0,  0,  0,  0,  1,  1,  1,  1],
    [  1,  1,  1,  1,  0,  0,  0,  0,  0,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1, 83,  1,  1,  1,  1,  1,  1],
    [  1, 28, 21,  0,  1,216,  0,216,  1, 31,224,  0,  1],
    [  1, 32,  0,  0,  1,  0,  0,  0,  1,225,  0,  0,  1],
    [  1, 27,  0,227, 82,  0,  0,  0, 81,  0,  0, 88,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,7": [
            {
                "type": "if",
                "condition": "(!flag:trap40F)",
                "true": [
                    {
                        "type": "if",
                        "condition": "((core.getBlockId(6,8,'MT40',true)!=='redDoor')&&(core.getBlockId(6,8,'MT40',true)!=='specialDoor'))",
                        "true": [
                            {
                                "type": "setBlock",
                                "number": "0",
                                "loc": [
                                    [
                                        6,
                                        8
                                    ]
                                ],
                                "floorId": "MT40"
                            },
                            {
                                "type": "closeDoor",
                                "id": "specialDoor",
                                "loc": [
                                    6,
                                    8
                                ]
                            }
                        ]
                    },
                    {
                        "type": "playBgm",
                        "name": "boss4.mp3"
                    },
                    {
                        "type": "function",
                        "function": "function(){\ncore.material.enemys.ghostSkeleton.special = 1;\ncore.material.enemys.soldier.special = 1;\ncore.material.enemys.swordsman.special = 1;\ncore.material.enemys.redKnight.special = 1;\ncore.material.enemys.yellowKnight.special = 1;\ncore.insertAction([{ \"type\": \"update\" }]);\n}"
                    },
                    "\t[骑士队长,yellowKnight]我还在担心你不能来了。我确信这次我一定能杀了你。小的们给我上！",
                    {
                        "type": "function",
                        "function": "function(){\nconst a = new Array([3, 4], [4, 4], [5, 4], [7, 4], [8, 4], [9, 4], [2, 2], [3, 2], [4, 2], [8, 2], [9, 2], [10, 2]);\nfor (let i = 11; i > -1; i--) {\n\tif (core.getBlockId(a[i][0], a[i][1], 'MT40', true) != null && core.getBlock(a[i][0], a[i][1], 'MT40', true).event.cls == 'enemys') {\n\t\tcore.insertAction([{ \"type\": \"sleep\", \"time\": 300 }]);\n\t\tcore.insertAction([{ \"type\": \"battle\", \"loc\": [a[i][0], a[i][1]] }]);\n\t}\n}\n}"
                    },
                    "\t[骑士队长,yellowKnight]你怎会击败我所有的手下？我和你誓不两立我决不认输。",
                    {
                        "type": "battle",
                        "loc": [
                            6,
                            2
                        ]
                    },
                    {
                        "type": "function",
                        "function": "function(){\ncore.material.enemys.ghostSkeleton.special = 0;\ncore.material.enemys.soldier.special = 0;\ncore.material.enemys.swordsman.special = 0;\ncore.material.enemys.redKnight.special = 0;\ncore.material.enemys.yellowKnight.special = 0;\ncore.insertAction([{ \"type\": \"update\" }]);\n}"
                    },
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(6,8,'MT40',true)=='specialDoor')",
                        "true": [
                            {
                                "type": "openDoor",
                                "loc": [
                                    6,
                                    8
                                ],
                                "floorId": "MT40"
                            }
                        ]
                    },
                    {
                        "type": "setValue",
                        "name": "flag:trap40F",
                        "value": "true"
                    }
                ]
            }
        ],
        "0,0": [
            {
                "type": "if",
                "condition": "(!flag:40_2)",
                "true": [
                    "\t[骑士队长,yellowKnight]这次先饶了你，下次碰到我会和你正式的决斗，你最好投降。",
                    {
                        "type": "playSound",
                        "name": "door.mp3"
                    },
                    {
                        "type": "setBlock",
                        "number": "yellowKey",
                        "loc": [
                            [
                                2,
                                2
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "yellowKey",
                        "loc": [
                            [
                                3,
                                2
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "yellowKey",
                        "loc": [
                            [
                                4,
                                2
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "redGem",
                        "loc": [
                            [
                                8,
                                2
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "redGem",
                        "loc": [
                            [
                                9,
                                2
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "redGem",
                        "loc": [
                            [
                                10,
                                2
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "bluePotion",
                        "loc": [
                            [
                                3,
                                4
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "bluePotion",
                        "loc": [
                            [
                                4,
                                4
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "bluePotion",
                        "loc": [
                            [
                                5,
                                4
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "blueGem",
                        "loc": [
                            [
                                7,
                                4
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "blueGem",
                        "loc": [
                            [
                                8,
                                4
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setBlock",
                        "number": "blueGem",
                        "loc": [
                            [
                                9,
                                4
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "show",
                        "loc": [
                            [
                                6,
                                1
                            ]
                        ],
                        "floorId": "MT40"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:trap40F",
                        "value": "true"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:40_2",
                        "value": "true"
                    }
                ]
            }
        ],
        "6,1": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": []
        }
    },
    "changeFloor": {
        "11,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        },
        "6,1": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {
        "2,2": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "3,2": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "4,2": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "8,2": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "9,2": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "10,2": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "3,4": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "4,4": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,4": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,4": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "8,4": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "9,4": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,2": [
            {
                "type": "if",
                "condition": "(flag:40==12)",
                "true": [
                    {
                        "type": "insert",
                        "loc": [
                            0,
                            0
                        ],
                        "floorId": "MT40"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:40",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            },
            {
                "type": "setValue",
                "name": "flag:trap40F",
                "value": "true"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        6,
        1
    ],
    "downFloor": [
        11,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}