var events_c12a15a8_c380_4b28_8144_256cba95f760 = 
{
	"commonEvent": {
		"加点事件": [
			{
				"type": "comment",
				"text": "通过传参，flag:arg1 表示当前应该的加点数值"
			},
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${1*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1*flag:arg1"
							}
						]
					},
					{
						"text": "防御+${2*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flag:arg1"
							}
						]
					},
					{
						"text": "生命+${200*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200*flag:arg1"
							}
						]
					}
				]
			}
		],
		"回收钥匙商店": [
			{
				"type": "comment",
				"text": "此事件在全局商店中被引用了(全局商店keyShop)"
			},
			{
				"type": "comment",
				"text": "解除引用前勿删除此事件"
			},
			{
				"type": "comment",
				"text": "玩家在快捷列表（V键）中可以使用本公共事件"
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "choices",
						"text": "\t[商人,trader]你有多余的钥匙想要出售吗？",
						"choices": [
							{
								"text": "黄钥匙（10金币）",
								"color": [
									255,
									255,
									0,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "(item:yellowKey >= 1)",
										"true": [
											{
												"type": "setValue",
												"name": "item:yellowKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "10"
											}
										],
										"false": [
											"\t[商人,trader]你没有黄钥匙！"
										]
									}
								]
							},
							{
								"text": "蓝钥匙（50金币）",
								"color": [
									0,
									0,
									255,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "(item:blueKey >= 1)",
										"true": [
											{
												"type": "setValue",
												"name": "item:blueKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "50"
											}
										],
										"false": [
											"\t[商人,trader]你没有蓝钥匙！"
										]
									}
								]
							},
							{
								"text": "离开",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			}
		],
		"游戏说明": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "游戏简介",
						"action": [
							"h5版本是按照flash版复刻，其中部分对话使用的魔塔盛宴的版本。",
							"地图复制：数码宝贝51、641\n部分事件复制：小艾\n默认背景音乐：无；可在切换音乐处设置\n游戏音乐、怪物显伤等开关可以在系统设置里打开和关闭",
							"想要获得更详细的介绍，可以在菜单——游戏信息——游戏主页中进入本塔的评论区，查看置顶评论。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "游戏结局",
						"action": [
							{
								"type": "if",
								"condition": "flag:addhp",
								"true": [
									"疯狂加血模式下，本塔有且仅有一个专属结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								],
								"false": [
									"本塔共有四个结局。\n在原版魔塔中，使用下楼器和破墙镐（或下楼器和地震卷轴）可以封印魔王，因此，这个版本如保留下楼器和破墙镐（或下楼器和地震卷轴）击败魔王，即可打出True End，否则为Normal End。",
									"不论是Normal End还是True End，都分为穿墙结局和不穿墙结局，如果从未使用对话穿墙，可以打出不穿墙结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								]
							}
						]
					},
					{
						"text": "对话穿墙",
						"action": [
							"在与老人对话后，或购买商人的物品并再次对话后，可以立即清除，或走一步再清除身边的某一堵墙（不必是暗墙）。",
							"这期间不能瞬移、打怪、开门和使用道具，否则穿墙会失败。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "切换音乐",
						"action": [
							{
								"type": "choices",
								"choices": [
									{
										"text": "精灵石 3个小萝莉在一起",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "1"
											},
											{
												"type": "playBgm",
												"name": "xiaoluoli.mp3"
											}
										]
									},
									{
										"text": "精灵石 晚上家里和镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "2"
											},
											{
												"type": "playBgm",
												"name": "wan.mp3"
											}
										]
									},
									{
										"text": "精灵石 黄昏的镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "3"
											},
											{
												"type": "playBgm",
												"name": "huang.mp3"
											}
										]
									},
									{
										"text": "仙境传说-守候永恒的爱",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "4"
											},
											{
												"type": "playBgm",
												"name": "xian.mp3"
											}
										]
									},
									{
										"text": "精灵石 精灵石传说",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "5"
											},
											{
												"type": "playBgm",
												"name": "chuanshuo.mp3"
											}
										]
									},
									{
										"text": "精灵石 ed【神曲】",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "6"
											},
											{
												"type": "playBgm",
												"name": "ed.mp3"
											}
										]
									},
									{
										"text": "精灵石 幸福之花",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "7"
											},
											{
												"type": "playBgm",
												"name": "hua.mp3"
											}
										]
									},
									{
										"text": "精灵石 迷宫",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "8"
											},
											{
												"type": "playBgm",
												"name": "migong.mp3"
											}
										]
									},
									{
										"text": "离开",
										"action": []
									}
								]
							},
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "返回游戏",
						"action": []
					}
				]
			}
		],
		"商店": [
			{
				"type": "if",
				"condition": "(flag:times1===0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:times1",
						"value": "1"
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:money1",
				"value": "20+10*flag:times1*(flag:times1-1)"
			},
			{
				"type": "choices",
				"text": "\t[祭坛,blueShop]如果供奉${flag:money1}金币, 便可以增加你的力量, 你想要什么呢…",
				"choices": [
					{
						"text": "生命+${100*flag:times1}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:hp",
										"operator": "+=",
										"value": "100*flag:times1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "攻击+${2*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:atk",
										"operator": "+=",
										"value": "2*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "防御+${4*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:def",
										"operator": "+=",
										"value": "4*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "离开",
						"action": []
					}
				]
			}
		],
		"记事本": [
			{
				"type": "if",
				"condition": "(flag:翻页==0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:翻页",
						"value": "1"
					}
				]
			},
			{
				"type": "if",
				"condition": "(flag:翻页==1)",
				"true": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "choices",
								"text": "记事本（只显示对话过的）",
								"choices": [
									{
										"text": "2层老人",
										"condition": "flag:对话2==1",
										"action": [
											"谢谢你救了我，为了感谢你的帮助请收下这些礼物。"
										]
									},
									{
										"text": "3层老人",
										"condition": "flag:对话3==1",
										"action": [
											"我可以给你怪物手册<快捷键x> 它能预测出当前楼层各类怪物对你的伤害"
										]
									},
									{
										"text": "4层老人",
										"condition": "flag:对话4==1",
										"action": [
											"你是否发现每次对话之后你都有一种神秘的能力"
										]
									},
									{
										"text": "6层老人",
										"condition": "flag:对话6==1",
										"action": [
											"购买物品之后再与商人对话，他会告诉你一些重要的消息。"
										]
									},
									{
										"text": "6层商人",
										"condition": "flag:对话602==1",
										"action": [
											"魔塔共有50层，每10层为一个区域。如果不打败此区域的头目就不能到更高的地方。"
										]
									},
									{
										"text": "7层商人",
										"condition": "flag:对话7==1",
										"action": [
											"你的攻击比敌人防御高时就能对他造成伤害 你防御比敌人攻击高或一样时就能无伤"
										]
									},
									{
										"text": "12层商人",
										"condition": "flag:对话12==1",
										"action": [
											"本塔有很多暗墙 比如5 9 12 14 16 18层 你都找到了吗"
										]
									},
									{
										"text": "15层商人",
										"condition": "flag:对话15==1",
										"action": [
											"十字架对兽人和吸血鬼是神器 它被藏在这之上的某层中"
										]
									},
									{
										"text": "16层老人",
										"condition": "flag:对话16==1",
										"action": [
											"整座魔塔中有2把藏在墙里的红钥匙"
										]
									},
									{
										"text": "跳到尾页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "3"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "下一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "2"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "exit"
											}
										]
									}
								]
							}
						]
					}
				],
				"false": []
			},
			{
				"type": "if",
				"condition": "(flag:翻页==2)",
				"true": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "choices",
								"text": "记事本（只显示对话过的）",
								"choices": [
									{
										"text": "18层老人",
										"condition": "flag:对话18==1",
										"action": [
											"在这区域不多次提升攻击力 就不能打败石头人 切记前人教训"
										]
									},
									{
										"text": "21层老人",
										"condition": "flag:对话21==1",
										"action": [
											"大法师住在25楼 他是魔塔的主人 以你现在的状态去攻击他简直就是自杀 你应当在取得更高级别的道具后再去打败他"
										]
									},
									{
										"text": "23层老人",
										"condition": "flag:对话23==1",
										"action": [
											"我没有什么可说的，但有一个确切的消息藏在这个楼层"
										]
									},
									{
										"text": "27层老人",
										"condition": "flag:对话27==1",
										"action": [
											"如果你没有使用过4层的祭坛 在12层供奉不超过4次 那么祝贺你 你的前期是比较成功的"
										]
									},
									{
										"text": "31层商人",
										"condition": "flag:对话3102==1",
										"action": [
											"你居然买了我的钥匙 那我就告诉你一个秘密 魔塔里有个幸运金币 拥有它在打败敌人后能获得2倍的金币"
										]
									},
									{
										"text": "31层老人",
										"condition": "flag:对话31==1",
										"action": [
											"双手剑士的攻击力太高了 你最好到能对他一击必杀时再与他战斗 但是如果他主动攻击你, 你仍然会受到一次伤害"
										]
									},
									{
										"text": "33层老人",
										"condition": "flag:对话33==1",
										"action": [
											"别匆忙, 放慢速度"
										]
									},
									{
										"text": "36层老人",
										"condition": "flag:对话36==1",
										"action": [
											"不用找了 本层没有暗道, 如果你能用好移动宝物 就可以省很多血"
										]
									},
									{
										"text": "37层老人",
										"condition": "flag:对话37==1",
										"action": [
											"你需要用地震卷轴才能取走这里的所有宝物 当然你也可以不取 51层魔塔最好玩的地方就是道具有多种用法"
										]
									},
									{
										"text": "上一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "下一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "3"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "exit"
											}
										]
									}
								]
							}
						]
					}
				],
				"false": []
			},
			{
				"type": "if",
				"condition": "(flag:翻页==3)",
				"true": [
					{
						"type": "while",
						"condition": "true",
						"data": [
							{
								"type": "choices",
								"text": "记事本（只显示对话过的）",
								"choices": [
									{
										"text": "38层商人",
										"condition": "flag:对话38==1",
										"action": [
											"存放圣剑的房间的门坏了 你只能用其他方法进去"
										]
									},
									{
										"text": "39层老人",
										"condition": "flag:对话39==1",
										"action": [
											"谜题 在3点 拥有传送功能的密宝 就会出现"
										]
									},
									{
										"text": "39层商人",
										"condition": "flag:对话3902==1",
										"action": [
											"你居然买了我的钥匙 那我就告诉你一个秘密 神圣剑有3种方法可以得到 不同的方法路线也会不同"
										]
									},
									{
										"text": "42层老人",
										"condition": "flag:对话42==1",
										"action": [
											"巫师会用魔法攻击路过的人 在2个魔法警卫间通过会使你的生命减少一半"
										]
									},
									{
										"text": "45层老人",
										"condition": "flag:对话45==1",
										"action": [
											"神圣盾能防御魔法攻击 但它被藏在异空间的楼层内"
										]
									},
									{
										"text": "45层商人",
										"condition": "flag:对话4502==1",
										"action": [
											"44层被藏在异空间 你只能用移动宝物才能到达"
										]
									},
									{
										"text": "46层老人",
										"condition": "flag:对话46==1",
										"action": [
											"41层其实是左右对称的\n还有, 打怪时如果不和怪物重叠 可以规避一些魔法攻击"
										]
									},
									{
										"text": "47层商人",
										"condition": "flag:对话47==1",
										"action": [
											"如果要打败魔龙你需要 圣剑 圣盾 屠龙匕 或更高等级的装备"
										]
									},
									{
										"text": "48层老人",
										"condition": "flag:对话48==1",
										"action": [
											"像骰子上5一样的形状是一种封印魔法 你最好记住 它在与魔王战斗时可能有用 什么 别说胡话了 这房间没有魔法警卫"
										]
									},
									{
										"text": "上一页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "2"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "跳到首页",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "insert",
												"name": "记事本"
											}
										]
									},
									{
										"text": "离开",
										"action": [
											{
												"type": "setValue",
												"name": "flag:翻页",
												"value": "1"
											},
											{
												"type": "exit"
											}
										]
									}
								]
							}
						]
					}
				],
				"false": []
			}
		],
		"俄罗斯方块": [
			{
				"type": "choices",
				"text": "请选择方块",
				"choices": [
					{
						"text": "O块，目前有${flag:tetrisO}个",
						"color": [
							255,
							255,
							0,
							1
						],
						"action": [
							{
								"type": "if",
								"condition": "(flag:tetrisO>0)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.currentType='O'\n}"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "没有此块"
									},
									{
										"type": "insert",
										"name": "俄罗斯方块"
									}
								]
							}
						]
					},
					{
						"text": "I块，目前有${flag:tetrisI}个",
						"color": [
							0,
							255,
							255,
							1
						],
						"action": [
							{
								"type": "if",
								"condition": "(flag:tetrisI>0)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.currentType='I'\n}"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "没有此块"
									},
									{
										"type": "insert",
										"name": "俄罗斯方块"
									}
								]
							}
						]
					},
					{
						"text": "T块，目前有${flag:tetrisT}个",
						"color": [
							160,
							0,
							255,
							1
						],
						"action": [
							{
								"type": "if",
								"condition": "(flag:tetrisT>0)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.currentType='T'\n}"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "没有此块"
									},
									{
										"type": "insert",
										"name": "俄罗斯方块"
									}
								]
							}
						]
					},
					{
						"text": "Z块，目前有${flag:tetrisZ}个",
						"color": [
							50,
							255,
							0,
							1
						],
						"action": [
							{
								"type": "if",
								"condition": "(flag:tetrisZ>0)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.currentType='Z'\n}"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "没有此块"
									},
									{
										"type": "insert",
										"name": "俄罗斯方块"
									}
								]
							}
						]
					},
					{
						"text": "L块，目前有${flag:tetrisL}个",
						"color": [
							0,
							80,
							255,
							1
						],
						"action": [
							{
								"type": "if",
								"condition": "(flag:tetrisL>0)",
								"true": [
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.currentType='L'\n}"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "没有此块"
									},
									{
										"type": "insert",
										"name": "俄罗斯方块"
									}
								]
							}
						]
					},
					{
						"text": "取消",
						"action": [
							{
								"type": "setValue",
								"name": "item:wand",
								"operator": "+=",
								"value": "1"
							},
							{
								"type": "exit"
							}
						]
					}
				]
			},
			{
				"type": "function",
				"function": "function(){\ncore.allTetris.resetPutLoc();core.allTetris.currentSubtype=0;core.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut0",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX0",
						"y": "32*core.allTetris.currentPutLocY0",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX0",
						"y": "32*core.allTetris.currentPutLocY0",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut1",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX1",
						"y": "32*core.allTetris.currentPutLocY1",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX1",
						"y": "32*core.allTetris.currentPutLocY1",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut2",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX2",
						"y": "32*core.allTetris.currentPutLocY2",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX2",
						"y": "32*core.allTetris.currentPutLocY2",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut3",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX3",
						"y": "32*core.allTetris.currentPutLocY3",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX3",
						"y": "32*core.allTetris.currentPutLocY3",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "tip",
				"text": "请选择摆放的位置"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "if",
										"condition": "((flag:x===core.allTetris.currentPutLocX0)&&(flag:y===core.allTetris.currentPutLocY0))",
										"true": [
											{
												"type": "if",
												"condition": "(core.allTetris.canPut0&&(core.allTetris.canPut1&&(core.allTetris.canPut2&&core.allTetris.canPut3)))",
												"true": [
													{
														"type": "break",
														"n": 1
													}
												]
											},
											{
												"type": "tip",
												"text": "不可在此处摆放"
											}
										],
										"false": [
											{
												"type": "clearMap"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.setPutLoc(core.getFlag('x'),core.getFlag('y'));\n}"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut0",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut1",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut2",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut3",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "playSound",
												"name": "tetris1.mp3",
												"sync": true
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "67",
								"action": [
									{
										"type": "if",
										"condition": "((core.allTetris.currentType==='O')||(core.allTetris.currentType==='Dot'))",
										"true": [
											{
												"type": "continue",
												"n": 1
											}
										],
										"false": [
											{
												"type": "clearMap"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.transform(core.allTetris.currentType);\n}"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut0",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut1",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut2",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut3",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "playSound",
												"name": "tetris1.mp3",
												"sync": true
											},
											{
												"type": "tip",
												"text": "切换形态${core.allTetris.currentSubtype+1}"
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "37",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(0);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "38",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(1);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "39",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(2);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "40",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(3);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "13",
								"action": [
									{
										"type": "if",
										"condition": "(core.allTetris.canPut0&&(core.allTetris.canPut1&&(core.allTetris.canPut2&&core.allTetris.canPut3)))",
										"true": [
											{
												"type": "break",
												"n": 1
											}
										]
									},
									{
										"type": "tip",
										"text": "不可在此处摆放"
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "27",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "tip",
										"text": "取消摆放"
									},
									{
										"type": "setValue",
										"name": "item:wand",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "exit"
									}
								]
							}
						]
					},
					{
						"type": "waitAsync"
					}
				]
			},
			{
				"type": "function",
				"function": "function(){\ncore.allTetris.put(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
			},
			{
				"type": "clearMap"
			},
			{
				"type": "switch",
				"condition": "core.allTetris.currentType",
				"caseList": [
					{
						"case": "'O'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisO",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'I'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisI",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'T'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisT",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'Z'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisZ",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'L'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisL",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "waitAsync"
			},
			{
				"type": "setValue",
				"name": "item:wand",
				"operator": "+=",
				"value": "1"
			},
			{
				"type": "tip",
				"text": "摆放成功"
			}
		],
		"俄罗斯方块PE": [
			{
				"type": "choices",
				"text": "请选择方块",
				"choices": [
					{
						"text": "O块，目前有${flag:tetrisO}个",
						"color": [
							255,
							255,
							0,
							1
						],
						"need": "flag:tetrisO>=1",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.allTetris.currentType='O'\n}"
							}
						]
					},
					{
						"text": "I块，目前有${flag:tetrisI}个",
						"color": [
							0,
							255,
							255,
							1
						],
						"need": "flag:tetrisI>=1",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.allTetris.currentType='I'\n}"
							}
						]
					},
					{
						"text": "T块，目前有${flag:tetrisT}个",
						"color": [
							160,
							0,
							255,
							1
						],
						"need": "flag:tetrisT>=1",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.allTetris.currentType='T'\n}"
							}
						]
					},
					{
						"text": "Z块，目前有${flag:tetrisZ}个",
						"color": [
							50,
							255,
							0,
							1
						],
						"need": "flag:tetrisZ>=1",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.allTetris.currentType='Z'\n}"
							}
						]
					},
					{
						"text": "L块，目前有${flag:tetrisL}个",
						"color": [
							0,
							80,
							255,
							1
						],
						"need": "flag:tetrisL>=1",
						"action": [
							{
								"type": "function",
								"function": "function(){\ncore.allTetris.currentType='L'\n}"
							}
						]
					},
					{
						"text": "取消",
						"action": [
							{
								"type": "setValue",
								"name": "item:wand",
								"operator": "+=",
								"value": "1"
							},
							{
								"type": "tip",
								"text": "取消摆放"
							},
							{
								"type": "exit"
							}
						]
					}
				]
			},
			{
				"type": "function",
				"function": "function(){\ncore.allTetris.currentSubtype=0;\n}"
			},
			{
				"type": "switch",
				"condition": "core.allTetris.currentType",
				"caseList": [
					{
						"case": "'I'",
						"action": [
							{
								"type": "choices",
								"text": "请选择形态",
								"choices": [
									{
										"text": "形态1",
										"icon": "TI_1",
										"action": []
									},
									{
										"text": "形态2",
										"icon": "TI_2",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=1;\n}"
											}
										]
									}
								]
							}
						]
					},
					{
						"case": "'T'",
						"action": [
							{
								"type": "choices",
								"text": "请选择形态",
								"choices": [
									{
										"text": "形态1",
										"icon": "TT_1",
										"action": []
									},
									{
										"text": "形态2",
										"icon": "TT_2",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=1;\n}"
											}
										]
									},
									{
										"text": "形态3",
										"icon": "TT_3",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=2;\n}"
											}
										]
									},
									{
										"text": "形态4",
										"icon": "TT_4",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=3;\n}"
											}
										]
									}
								]
							}
						]
					},
					{
						"case": "'Z'",
						"action": [
							{
								"type": "choices",
								"text": "请选择形态",
								"choices": [
									{
										"text": "形态1",
										"icon": "TZ_1",
										"action": []
									},
									{
										"text": "形态2",
										"icon": "TZ_2",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=1;\n}"
											}
										]
									},
									{
										"text": "形态3",
										"icon": "TZ_3",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=2;\n}"
											}
										]
									},
									{
										"text": "形态4",
										"icon": "TZ_4",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=3;\n}"
											}
										]
									}
								]
							}
						]
					},
					{
						"case": "'L'",
						"action": [
							{
								"type": "choices",
								"text": "请选择形态",
								"choices": [
									{
										"text": "形态1",
										"icon": "TL_1",
										"action": []
									},
									{
										"text": "形态2",
										"icon": "TL_2",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=1;\n}"
											}
										]
									},
									{
										"text": "形态3",
										"icon": "TL_3",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=2;\n}"
											}
										]
									},
									{
										"text": "形态4",
										"icon": "TL_4",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=3;\n}"
											}
										]
									},
									{
										"text": "形态5",
										"icon": "TL_5",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=4;\n}"
											}
										]
									},
									{
										"text": "形态6",
										"icon": "TL_6",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=5;\n}"
											}
										]
									},
									{
										"text": "形态7",
										"icon": "TL_7",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=6;\n}"
											}
										]
									},
									{
										"text": "形态8",
										"icon": "TL_8",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.currentSubtype=7;\n}"
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "function",
				"function": "function(){\ncore.allTetris.resetPutLoc();core.allTetris.prePut(core.allTetris.currentType, core.allTetris.currentSubtype);\n}"
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut0",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX0",
						"y": "32*core.allTetris.currentPutLocY0",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX0",
						"y": "32*core.allTetris.currentPutLocY0",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut1",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX1",
						"y": "32*core.allTetris.currentPutLocY1",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX1",
						"y": "32*core.allTetris.currentPutLocY1",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut2",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX2",
						"y": "32*core.allTetris.currentPutLocY2",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX2",
						"y": "32*core.allTetris.currentPutLocY2",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "if",
				"condition": "core.allTetris.canPut3",
				"true": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX3",
						"y": "32*core.allTetris.currentPutLocY3",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							0,
							255,
							0,
							0.5
						]
					}
				],
				"false": [
					{
						"type": "fillRect",
						"x": "32*core.allTetris.currentPutLocX3",
						"y": "32*core.allTetris.currentPutLocY3",
						"width": 32,
						"height": 32,
						"angle": 0,
						"style": [
							255,
							0,
							0,
							0.5
						]
					}
				]
			},
			{
				"type": "tip",
				"text": "请选择摆放的位置"
			},
			{
				"type": "while",
				"condition": "true",
				"data": [
					{
						"type": "wait",
						"forceChild": true,
						"data": [
							{
								"case": "mouse",
								"px": [
									0,
									512
								],
								"py": [
									0,
									512
								],
								"action": [
									{
										"type": "if",
										"condition": "((flag:x===core.allTetris.currentPutLocX0)&&(flag:y===core.allTetris.currentPutLocY0))",
										"true": [
											{
												"type": "choices",
												"text": "确认要摆这里吗",
												"choices": [
													{
														"text": "确定",
														"action": [
															{
																"type": "if",
																"condition": "(core.allTetris.canPut0&&(core.allTetris.canPut1&&(core.allTetris.canPut2&&core.allTetris.canPut3)))",
																"true": [
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															},
															{
																"type": "tip",
																"text": "不可在此处摆放"
															}
														]
													},
													{
														"text": "我再想想",
														"action": []
													},
													{
														"text": "取消摆放",
														"action": [
															{
																"type": "clearMap"
															},
															{
																"type": "setValue",
																"name": "item:wand",
																"operator": "+=",
																"value": "1"
															},
															{
																"type": "tip",
																"text": "取消摆放"
															},
															{
																"type": "exit"
															}
														]
													}
												]
											}
										],
										"false": [
											{
												"type": "clearMap"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.setPutLoc(core.getFlag('x'),core.getFlag('y'));\n}"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut0",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut1",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut2",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut3",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "playSound",
												"name": "tetris1.mp3",
												"sync": true
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "67",
								"action": [
									{
										"type": "if",
										"condition": "(core.allTetris.currentType!=='O')",
										"true": [
											{
												"type": "clearMap"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.transform(core.allTetris.currentType);\n}"
											},
											{
												"type": "function",
												"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut0",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX0",
														"y": "32*core.allTetris.currentPutLocY0",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut1",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX1",
														"y": "32*core.allTetris.currentPutLocY1",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut2",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX2",
														"y": "32*core.allTetris.currentPutLocY2",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "if",
												"condition": "core.allTetris.canPut3",
												"true": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															0,
															255,
															0,
															0.5
														]
													}
												],
												"false": [
													{
														"type": "fillRect",
														"x": "32*core.allTetris.currentPutLocX3",
														"y": "32*core.allTetris.currentPutLocY3",
														"width": 32,
														"height": 32,
														"angle": 0,
														"style": [
															255,
															0,
															0,
															0.5
														]
													}
												]
											},
											{
												"type": "playSound",
												"name": "tetris1.mp3",
												"sync": true
											},
											{
												"type": "tip",
												"text": "切换形态${core.allTetris.currentSubtype+1}"
											}
										]
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "37",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(0);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "38",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(1);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "39",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(2);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "40",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.move(3);\n}"
									},
									{
										"type": "function",
										"function": "function(){\ncore.allTetris.prePut(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut0",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX0",
												"y": "32*core.allTetris.currentPutLocY0",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut1",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX1",
												"y": "32*core.allTetris.currentPutLocY1",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut2",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX2",
												"y": "32*core.allTetris.currentPutLocY2",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "if",
										"condition": "core.allTetris.canPut3",
										"true": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													0,
													255,
													0,
													0.5
												]
											}
										],
										"false": [
											{
												"type": "fillRect",
												"x": "32*core.allTetris.currentPutLocX3",
												"y": "32*core.allTetris.currentPutLocY3",
												"width": 32,
												"height": 32,
												"angle": 0,
												"style": [
													255,
													0,
													0,
													0.5
												]
											}
										]
									},
									{
										"type": "playSound",
										"name": "tetris1.mp3",
										"sync": true
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "13",
								"action": [
									{
										"type": "if",
										"condition": "(core.allTetris.canPut0&&(core.allTetris.canPut1&&(core.allTetris.canPut2&&core.allTetris.canPut3)))",
										"true": [
											{
												"type": "break",
												"n": 1
											}
										]
									},
									{
										"type": "tip",
										"text": "不可在此处摆放"
									}
								]
							},
							{
								"case": "keyboard",
								"keycode": "27",
								"action": [
									{
										"type": "clearMap"
									},
									{
										"type": "setValue",
										"name": "item:wand",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "tip",
										"text": "取消摆放"
									},
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "waitAsync"
			},
			{
				"type": "function",
				"function": "function(){\ncore.allTetris.put(core.allTetris.currentType,core.allTetris.currentSubtype);\n}"
			},
			{
				"type": "clearMap"
			},
			{
				"type": "switch",
				"condition": "core.allTetris.currentType",
				"caseList": [
					{
						"case": "'O'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisO",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'I'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisI",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'T'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisT",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'Z'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisZ",
								"operator": "-=",
								"value": "1"
							}
						]
					},
					{
						"case": "'L'",
						"action": [
							{
								"type": "setValue",
								"name": "flag:tetrisL",
								"operator": "-=",
								"value": "1"
							}
						]
					}
				]
			},
			{
				"type": "waitAsync"
			},
			{
				"type": "setValue",
				"name": "item:wand",
				"operator": "+=",
				"value": "1"
			},
			{
				"type": "tip",
				"text": "摆放成功"
			}
		]
	}
}