main.floors.MT32=
{
    "floorId": "MT32",
    "title": "魔塔 第32层",
    "name": "第 32 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 28,  0, 82,  0,  0,  0,  0,  0,  0,  0, 87,  1],
    [  1,  0, 27,  1,  1,  1,  0,  1,  1,  1,  0,  0,  1],
    [  1, 81,  1,  1,  0, 81,  0, 81,  0,  1,  1,  1,  1],
    [  1,225,  0,216,  0,  1,  0,  1,212,  1, 21, 32,  1],
    [  1,  0, 21,  0,216,  1,  0,  1,  0, 81,  0, 21,  1],
    [  1,  1,  1,  1,  1,  1,  0,  1,  0,  1,  1,  1,  1],
    [  1, 21, 21, 21, 21,  1,  0,  1,227,  1, 21, 22,  1],
    [  1,  0,  0,  0, 22,  1,  0,  1,  0, 81,  0, 21,  1],
    [  1,  1, 85,  1,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,222,  0,222,  0,  0,  0,  0,  0,  7,131,  8,  1],
    [  1,  0,  0,  0,  0,  1, 88,  1,212,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "10,10": [
            {
                "type": "setValue",
                "name": "flag:ratio",
                "value": "4"
            },
            {
                "type": "setValue",
                "name": "flag:shopratio",
                "value": "Math.max(core.getFlag('shopratio', 1), core.getFlag('ratio', 1))"
            },
            {
                "type": "insert",
                "name": "商店"
            }
        ],
        "6,10": [
            {
                "type": "if",
                "condition": "(!flag:trap32F)",
                "true": [
                    {
                        "type": "function",
                        "function": "function(){\ncore.material.enemys.yellowKnight.special = 1;\n}"
                    },
                    {
                        "type": "setBlock",
                        "number": "yellowKnight",
                        "loc": [
                            [
                                10,
                                1
                            ]
                        ],
                        "floorId": "MT32",
                        "time": 500
                    },
                    {
                        "type": "for",
                        "name": "temp:A",
                        "from": "10",
                        "to": "7",
                        "step": "-1",
                        "data": [
                            {
                                "type": "if",
                                "condition": "(core.getBlockId((temp:A-1),1,'MT42',true)!=null)",
                                "true": [
                                    {
                                        "type": "setBlock",
                                        "number": "0",
                                        "loc": [
                                            "(temp:A-1)",
                                            "1"
                                        ],
                                        "floorId": "MT32",
                                        "time": 100
                                    }
                                ]
                            },
                            {
                                "type": "move",
                                "loc": [
                                    "temp:A",
                                    1
                                ],
                                "time": 200,
                                "keep": true,
                                "steps": [
                                    "left:1"
                                ]
                            }
                        ]
                    },
                    "\t[骑士队长,yellowKnight]你学会了使用俄罗斯方块，这表明你是个勇士。但现在游戏结束了，我将在这里亲手杀死你。别以为用几个块就能拦住我！",
                    {
                        "type": "for",
                        "name": "temp:B",
                        "from": "1",
                        "to": "9",
                        "step": "1",
                        "data": [
                            {
                                "type": "setBlock",
                                "number": "0",
                                "loc": [
                                    "6",
                                    "(temp:B+1)"
                                ],
                                "floorId": "MT32",
                                "time": 100
                            },
                            {
                                "type": "move",
                                "loc": [
                                    6,
                                    "temp:B"
                                ],
                                "time": 200,
                                "keep": true,
                                "steps": [
                                    "down:1"
                                ]
                            }
                        ]
                    },
                    {
                        "type": "battle",
                        "id": "yellowKnight"
                    },
                    {
                        "type": "move",
                        "loc": [
                            6,
                            10
                        ],
                        "time": 200,
                        "keep": true,
                        "steps": [
                            "up:9"
                        ]
                    },
                    "\t[骑士队长,yellowKnight]你以为你已非常强大了吗，嘿嘿错了，只是我今天状态不佳而已。我走了，有本事到40楼与我再打一次。",
                    {
                        "type": "move",
                        "loc": [
                            6,
                            1
                        ],
                        "time": 200,
                        "steps": [
                            "right:5"
                        ]
                    },
                    {
                        "type": "function",
                        "function": "function(){\ncore.material.enemys.yellowKnight.special = 0;\n}"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:trap32F",
                        "value": "true"
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "11,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "1,10": [
            {
                "type": "if",
                "condition": "flag:32",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            2,
                            9
                        ],
                        "floorId": "MT32"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:32",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "3,10": [
            {
                "type": "if",
                "condition": "flag:32",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            2,
                            9
                        ],
                        "floorId": "MT32"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:32",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "downFloor": [
        6,
        11
    ],
    "upFloor": [
        11,
        1
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}