main.floors.MT35=
{
    "floorId": "MT35",
    "title": "魔塔 第35层",
    "name": "第 35 层",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,8": [
            {
                "type": "if",
                "condition": "(core.getBlockId(6,7,'MT35',true)==='magicDragon')",
                "true": [
                    {
                        "type": "if",
                        "condition": "(core.getBlockId(6,9,'MT35',true)!=='specialDoor')",
                        "true": [
                            {
                                "type": "setBlock",
                                "number": "0",
                                "loc": [
                                    [
                                        6,
                                        9
                                    ]
                                ],
                                "floorId": "MT35"
                            }
                        ]
                    },
                    {
                        "type": "closeDoor",
                        "id": "specialDoor",
                        "loc": [
                            6,
                            9
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "11,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "6,7": [
            {
                "type": "openDoor",
                "loc": [
                    6,
                    2
                ],
                "floorId": "MT35",
                "async": true
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    9
                ],
                "floorId": "MT35",
                "async": true
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "playSound",
                "name": "item.mp3"
            },
            {
                "type": "setBlock",
                "number": "snow",
                "loc": [
                    [
                        6,
                        4
                    ]
                ],
                "floorId": "MT35",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        5,
                        3
                    ]
                ],
                "floorId": "MT35",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        6,
                        3
                    ]
                ],
                "floorId": "MT35",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        7,
                        3
                    ]
                ],
                "floorId": "MT35",
                "async": true
            },
            {
                "type": "waitAsync"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  3,  3,  3,  3,  0,  0,  0,  0,  0,  0, 87,  1],
    [  1,  3,  1,  1,  1,  1, 85,  1,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,273,274,275,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,276,277,279,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,280,257,281,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,  1,  0,  1,  1,  1,  1,  1,  1],
    [  1,  3,  1,  3,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  3,  3,  3,  1,  0, 88,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "downFloor": [
        6,
        11
    ],
    "upFloor": [
        11,
        1
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}