main.floors.MT49=
{
    "floorId": "MT49",
    "title": "魔塔 第49层",
    "name": "第 49 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  0,  0,  0,  0,  0,  1,  1,  1,  1],
    [  1,  1,  1,  0,  0,  0,  0,  0,  0,  0,  1,  1,  1],
    [  1,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  1,  0,  0,  0,  0,  0,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,  0,  0,  0,  0,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,  1,  1, 85,  1,  1,  0,  1,  0,  1],
    [  1,  0,  1,  0,  1,228,  0,228,  1,  0,  1,  0,  1],
    [  1,  0,  0,  0,  1,  1, 85,  1,  1,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,220,  0,220,  1,  1,  1,  1,  1],
    [  1, 88,  0, 83,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "section5.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,6": [
            {
                "type": "if",
                "condition": "(!flag:trap49F)",
                "true": [
                    {
                        "type": "if",
                        "condition": "(!(core.getBlockId(6,7)=='specialDoor'))",
                        "true": [
                            {
                                "type": "setBlock",
                                "number": "none",
                                "loc": [
                                    [
                                        6,
                                        7
                                    ]
                                ],
                                "floorId": "MT49"
                            },
                            {
                                "type": "closeDoor",
                                "id": "specialDoor",
                                "loc": [
                                    6,
                                    7
                                ]
                            }
                        ]
                    },
                    {
                        "type": "setBlock",
                        "number": "redKing",
                        "loc": [
                            [
                                6,
                                3
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500
                    },
                    "\t[魔王,redKing]你终于来啦，我好想和你干一把，但是我的部下不同意。",
                    {
                        "type": "playBgm",
                        "name": "boss5.mp3"
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                5,
                                2
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                6,
                                2
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                7,
                                2
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                7,
                                3
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                7,
                                4
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                6,
                                4
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                5,
                                4
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "setBlock",
                        "number": "whiteKing",
                        "loc": [
                            [
                                5,
                                3
                            ]
                        ],
                        "floorId": "MT49",
                        "time": 500,
                        "async": true
                    },
                    {
                        "type": "waitAsync"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:trap49F",
                        "value": "true"
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "1,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "5,10": [
            {
                "type": "if",
                "condition": "flag:49_1",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            9
                        ],
                        "floorId": "MT49"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_1",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,10": [
            {
                "type": "if",
                "condition": "flag:49_1",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            9
                        ],
                        "floorId": "MT49"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_1",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,8": [
            {
                "type": "if",
                "condition": "flag:49_2",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            7
                        ],
                        "floorId": "MT49"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_2",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,8": [
            {
                "type": "if",
                "condition": "flag:49_2",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            6,
                            7
                        ],
                        "floorId": "MT49"
                    }
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_2",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,4": [
            {
                "type": "setValue",
                "name": "flag:49_4",
                "value": "0"
            }
        ],
        "5,2": [
            {
                "type": "setValue",
                "name": "flag:49_4",
                "value": "0"
            }
        ],
        "7,2": [
            {
                "type": "setValue",
                "name": "flag:49_4",
                "value": "0"
            }
        ],
        "7,4": [
            {
                "type": "setValue",
                "name": "flag:49_4",
                "value": "0"
            }
        ],
        "6,4": [
            {
                "type": "if",
                "condition": "(flag:49_4==3)",
                "true": [
                    {
                        "type": "setValue",
                        "name": "flag:49_5",
                        "value": "true"
                    },
                    {
                        "type": "function",
                        "function": "function(){\nif (core.hasFlag('49_5')) {\n\tcore.material.enemys.redKing.hp = 800;\n\tcore.material.enemys.redKing.atk = 500;\n\tcore.material.enemys.redKing.def = 100;\n} else {\n\tcore.material.enemys.redKing.hp = 8000;\n\tcore.material.enemys.redKing.atk = 5000;\n\tcore.material.enemys.redKing.def = 1000;\n}\n}"
                    },
                    {
                        "type": "update"
                    },
                    "\t[魔王,redKing]完蛋了，我被封印了，功力只剩一成。"
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_4",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,3": [
            {
                "type": "if",
                "condition": "(flag:49_4==3)",
                "true": [
                    {
                        "type": "setValue",
                        "name": "flag:49_5",
                        "value": "true"
                    },
                    {
                        "type": "function",
                        "function": "function(){\nif (core.hasFlag('49_5')) {\n\tcore.material.enemys.redKing.hp = 800;\n\tcore.material.enemys.redKing.atk = 500;\n\tcore.material.enemys.redKing.def = 100;\n} else {\n\tcore.material.enemys.redKing.hp = 8000;\n\tcore.material.enemys.redKing.atk = 5000;\n\tcore.material.enemys.redKing.def = 1000;\n}\n}"
                    },
                    {
                        "type": "update"
                    },
                    "\t[魔王,redKing]完蛋了，我被封印了，功力只剩一成。"
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_4",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,2": [
            {
                "type": "if",
                "condition": "(flag:49_4==3)",
                "true": [
                    {
                        "type": "setValue",
                        "name": "flag:49_5",
                        "value": "true"
                    },
                    {
                        "type": "function",
                        "function": "function(){\nif (core.hasFlag('49F_5')) {\n\tcore.material.enemys.redKing.hp = 800;\n\tcore.material.enemys.redKing.atk = 500;\n\tcore.material.enemys.redKing.def = 100;\n} else {\n\tcore.material.enemys.redKing.hp = 8000;\n\tcore.material.enemys.redKing.atk = 5000;\n\tcore.material.enemys.redKing.def = 1000;\n}\n}"
                    },
                    {
                        "type": "update"
                    },
                    "\t[魔王,redKing]完蛋了，我被封印了，功力只剩一成。"
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_4",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "7,3": [
            {
                "type": "if",
                "condition": "(flag:49_4==3)",
                "true": [
                    {
                        "type": "setValue",
                        "name": "flag:49_5",
                        "value": "true"
                    },
                    {
                        "type": "function",
                        "function": "function(){\nif (core.hasFlag('49_5')) {\n\tcore.material.enemys.redKing.hp = 800;\n\tcore.material.enemys.redKing.atk = 500;\n\tcore.material.enemys.redKing.def = 100;\n} else {\n\tcore.material.enemys.redKing.hp = 8000;\n\tcore.material.enemys.redKing.atk = 5000;\n\tcore.material.enemys.redKing.def = 1000;\n}\n}"
                    },
                    {
                        "type": "update"
                    },
                    "\t[魔王,redKing]完蛋了，我被封印了，功力只剩一成。"
                ],
                "false": [
                    {
                        "type": "setValue",
                        "name": "flag:49_4",
                        "operator": "+=",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,3": [
            "\t[魔王,redKing]很好嘛，你通过了我的面试，你是个合格的勇士。",
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        5,
                        5
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        5,
                        4
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        5,
                        3
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        6,
                        3
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        7,
                        3
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        7,
                        4
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        7,
                        5
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        6,
                        5
                    ]
                ],
                "floorId": "MT49",
                "async": true
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "setBlock",
                "number": "redKey",
                "loc": [
                    [
                        5,
                        2
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "knife",
                "loc": [
                    [
                        7,
                        2
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        2,
                        4
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        3,
                        4
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        4,
                        4
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        8,
                        4
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        9,
                        4
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        10,
                        4
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        5,
                        5
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        6,
                        5
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        7,
                        5
                    ]
                ],
                "floorId": "MT49"
            },
            {
                "type": "playSound",
                "name": "door.mp3"
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    7
                ],
                "floorId": "MT49"
            },
            {
                "type": "setValue",
                "name": "flag:trap49F",
                "value": "true"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "downFloor": [
        1,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}